Bug 250533 - Review Request: python-olpcgames - Utilities for writing games on the OLPC platform
Review Request: python-olpcgames - Utilities for writing games on the OLPC pl...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 467641
  Show dependency treegraph
 
Reported: 2007-08-01 22:53 EDT by Noah Kantrowitz
Modified: 2009-12-23 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-25 21:23:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bdpepple: fedora‑review-
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Noah Kantrowitz 2007-08-01 22:53:51 EDT
Spec URL: http://dev.laptop.org/~coderanger/rpm/python-olpcgames/python-olpcgames.spec
SRPM URL: http://dev.laptop.org/~coderanger/rpm/python-olpcgames/python-olpcgames-1.0-0.0.20070801git4ab726.src.rpm
Description: This python package contains general utilities for writing games for the OLPC system. The biggest piece of this right now is allowing PyGame games to work inside the Sugar framework (including using the mesh).
Comment 1 Brian Pepple 2007-08-12 10:27:57 EDT
MD5Sum:
ecadb8e31684dc2e4994f06078a40999  olpcgames-20070801git4ab726.tar.bz2

Good:
* Source URL is canonical
* git tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* Files have appropriate permissions and owners
* Package builds fine in Mock.
* rpmlint produces no error.

Minor:
 * You can remove sitearch variable, since this is a no arch package.
 * The CFLAGS call in the build section is unnecessary.
 * You should drop the %{python_sitearch} from the file section, since this is a
noarch package

+1 APPROVE
Comment 2 Noah Kantrowitz 2007-08-13 14:37:39 EDT
New Package CVS Request
=======================
Package Name: python-olpcgames
Short Description: Utilities and support tools for writing games on the OLPC system
Owners: coderanger
Branches: F-7 OLPC-2
InitialCC: coderanger
Commits by cvsextras: yes
Comment 3 Kevin Fenzi 2007-08-13 15:45:56 EDT
I don't see a 'coderanger' account. Can you doublecheck and resubmit?
(set fedora-cvs back to ? when you are ready)
Comment 4 Noah Kantrowitz 2007-08-13 15:50:47 EDT
New Package CVS Request
=======================
Package Name: python-olpcgames
Short Description: Utilities and support tools for writing games on the OLPC system
Owners: kantrn
Branches: F-7 OLPC-2
InitialCC: kantrn
Commits by cvsextras: yes
Comment 5 Kevin Fenzi 2007-08-13 19:03:16 EDT
cvs done.
Comment 6 Brian Pepple 2007-09-05 11:25:16 EDT
Noah, has this been built?  If so, the bug can be closed.
Comment 7 Toshio Ernie Kuratomi 2007-10-13 13:05:39 EDT
ping?

A branch for this has been created in the repository by there is no source
present and it looks like the package has never been built.
Comment 8 Noah Kantrowitz 2007-10-13 13:32:46 EDT
I know, my return to school has made finding time to do this hard. I will try to get to it next week.
Comment 9 Brian Pepple 2007-11-12 13:52:20 EST
ping?
Comment 10 Brian Pepple 2008-03-25 21:23:38 EDT
Closing review, since there  has been no response in 5 months.
Comment 11 Fabian Affolter 2009-01-26 03:54:23 EST
Noah, can you please update this package and make a build?  Thanks in advance.
Comment 12 Noah Kantrowitz 2009-12-23 18:02:45 EST
I am no longer associated with the OLPC project nor do I think I have access to
a Fedora build environment.

Note You need to log in before you can comment on or make changes to this bug.